//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

//========================================================================================
#include "Graphics3D.hpp"

#ifndef CONTENT_H
#include "Content.h"
#endif

#ifndef PART_H
#include "Part.h"
#endif

//========================================================================================
#ifdef FW_BUILD_MAC
#pragma segment Graphics3D
#endif

//========================================================================================
FW_DEFINE_AUTO(CGraphics3DContent)

//----------------------------------------------------------------------------------------
CGraphics3DContent::CGraphics3DContent(Environment* ev, CGraphics3DPart* part)
	: FW_CContent(ev, part)
{
}

//----------------------------------------------------------------------------------------
CGraphics3DContent::~CGraphics3DContent()
{
}

//----------------------------------------------------------------------------------------
void 
CGraphics3DContent::ExternalizeKind(Environment* ev,
								ODStorageUnit* storageUnit,
								FW_CKind* kind,
								FW_StorageKinds storageKind,
								FW_CPromise* promise,
								FW_CCloneInfo* cloneInfo)
{
	FW_UNUSED(ev);
	FW_UNUSED(storageUnit);
	FW_UNUSED(kind);
	FW_UNUSED(storageKind);
	FW_UNUSED(promise);
	FW_UNUSED(cloneInfo);
}

//----------------------------------------------------------------------------------------
FW_Boolean 
CGraphics3DContent::InternalizeKind(Environment* ev,
								ODStorageUnit* storageUnit, 
								FW_CKind* kind,
								FW_StorageKinds storageKind,
								FW_CCloneInfo* cloneInfo)
{
	FW_UNUSED(ev);
	FW_UNUSED(storageUnit);
	FW_UNUSED(kind);
	FW_UNUSED(storageKind);
	FW_UNUSED(cloneInfo);
	FW_Boolean internalized = false;
	return internalized;
}

