//========================================================================================
//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//========================================================================================

#ifndef PART_H
#define PART_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWPART_H
#include "FWPart.h"			// FW_CPart
#endif

// ----- Foundation Layer -----
#ifndef FWSTDDEF_H
#include <FWStdDef.h>		// ?
#endif

//=======================================================================
class FW_CMenuEvent;
class FW_CPresentation;
class CGraphics3DContent;

//=======================================================================
class CGraphics3DPart : public FW_CPart {
public:
	FW_DECLARE_AUTO(CGraphics3DPart)
	
						CGraphics3DPart(ODPart* odPart);
	virtual 			~CGraphics3DPart();
// overrides
protected:
	virtual FW_CContent* NewPartContent(Environment* ev);
	virtual void 		Initialize(Environment* ev,
									ODStorageUnit* storageUnit, 
									FW_Boolean fromStorage);
	virtual FW_CFrame*	NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
	virtual FW_Handled	DoAbout(Environment* ev);
// new members
private:
	FW_CPresentation*		fPresentation;
	CGraphics3DContent*		fPartContent;
};

//=======================================================================
#endif
