//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef CONTENT_H
#define CONTENT_H

//========================================================================================
// ----- Framework Includes -----
#ifndef FWCONTNT_H
#include "FWContnt.h"
#endif

//========================================================================================
class CGraphics3DPart;

//========================================================================================
class CGraphics3DContent : public FW_CContent {
public:
	FW_DECLARE_AUTO(CGraphics3DContent)
						CGraphics3DContent(Environment* ev, CGraphics3DPart* part);
	virtual 			~CGraphics3DContent();
// overrides
protected:
	virtual void		ExternalizeKind(Environment* ev,
									ODStorageUnit* storageUnit,
									FW_CKind* kind,
									FW_StorageKinds storageKind,
									FW_CPromise* promise,
									FW_CCloneInfo* cloneInfo);
	virtual FW_Boolean	InternalizeKind(Environment* ev,
									ODStorageUnit* storageUnit, 
									FW_CKind* kind,
									FW_StorageKinds storageKind,
									FW_CCloneInfo* cloneInfo);
};

//========================================================================================
#endif