//	Release Version:	$ ODF 2 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

//========================================================================
#ifndef SELECTION_H
#include "Selection.h"		// CGraphics3DSelection
#endif

#ifndef CONTENT_H
#include "Content.h"	// CGraphics3DContent
#endif

//========================================================================
#ifdef FW_BUILD_MAC
#pragma segment graphics3d
#endif

FW_DEFINE_AUTO(CGraphics3DSelection)

//========================================================================
CGraphics3DSelection::CGraphics3DSelection(Environment* ev, CGraphics3DContent* content)
  :	FW_CSelection(ev, false, false),
	fGraphics3DContent(content)
{
}

//-------------------------------------------------------------------------
CGraphics3DSelection::~CGraphics3DSelection()
{	
}

//-------------------------------------------------------------------------
void 
CGraphics3DSelection::CloseSelection(Environment*)
{
}

//-------------------------------------------------------------------------
void 
CGraphics3DSelection::ClearSelection(Environment*)
{
}

//-------------------------------------------------------------------------
void 
CGraphics3DSelection::SelectAll(Environment*)
{
}

//-------------------------------------------------------------------------
FW_Boolean 
CGraphics3DSelection::IsEmpty(Environment*) const
{
	return true;			// no data to copy
}

//-------------------------------------------------------------------------
FW_CContent* 
CGraphics3DSelection::GetSelectedContent(Environment*)
{
	return fGraphics3DContent;
}
